<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Update Film</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
</head>

<body>
<div th:insert="fragments/navbar :: navbar"></div>

<div class="container my-5">
    <h3> update Projection</h3>
    <div class="card">
        <div class="card-body">
            <div class="col-md-10">
                <form action="#" th:action="@{/projection/update}" th:object="${projection}"
                      method="post">
                    <div class="row">
                        <div class="form-group col-md-8">
                            <label for="room" class="col-form-label">room</label>
                            <select th:field="*{room.id}">
                                <option th:each="room : ${roomList}"
                                        th:value="${room.id}" th:text="${room.roomNumber}" />
                            </select>
                        </div>
                        <div class="form-group col-md-8">
                            <label for="name" class="col-form-label">film</label>
                            <select th:field="*{film.id}">
                                <option th:each="film : ${filmList}"
                                        th:value="${film.id}" th:text="${film.title}" />
                            </select>
                        </div>

                        <div class="form-group col-md-8">
                            <label for="name" class="col-form-label">start time</label>
                            <input type="date" th:field="*{startTime}" class="form-control"
                                   id="startTime" placeholder="startTime" />
                        </div>

                        <div class="col-md-6">
                            <input type="submit" class="btn btn-primary" value=" Submit ">
                        </div>

                        <input type="hidden" id="id" th:field="*{id}">

                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
</body>

</html>